#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 25. Graphical Environment Libraries

- Prev

  gtksourceview4-4.8.4

- Next

  imlib2-1.12.2

- Up
- Home

# gtksourceview5-5.10.0

## Introduction to GtkSourceView

The GtkSourceView package contains a library used for extending the GTK text functions to include syntax highlighting.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gtksourceview/5.10/gtksourceview-5.10.0.tar.xz

- Download MD5 sum: f74162d727875c3f517d5316148e7222

- Download size: 1.2 MB

- Estimated disk space required: 47 MB

- Estimated build time: 0.2 SBU (with tests; both using parallelism=4)

### GtkSourceView Dependencies

#### Required

GTK-4.12.5 and pcre2-10.42

#### Recommended

gobject-introspection-1.78.1 and libxml2-2.12.5

#### Optional

GTK-Doc-1.33.2, Vala-0.56.14, Valgrind-3.22.0, Vulkan-Loader-1.3.277, sysprof

## Installation of GtkSourceView

Install GtkSourceView by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dgtk_doc=true`: Use this switch if you have GTK-Doc-1.33.2 installed and wish to generate the API documentation.

`-Dsysprof=true`: Use this switch if you have sysprof installed and wish to build with sysprof profiler support.

## Contents

Installed Programs: None
Installed Libraries: libgtksourceview-5.so
Installed Directories: /usr/include/gtksourceview-5 and /usr/share/gtksourceview-5

### Short Descriptions

`libgtksourceview-5.so` | contains function extensions for the GtkTextView widget

- Prev

  gtksourceview4-4.8.4

- Next

  imlib2-1.12.2

- Up
- Home